Bug 153264 - www/apache22 -- rc.d script improvements
www/apache22 -- rc.d script improvements
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-18 09:10 UTC by freebsd
Modified: 2012-02-09 03:00 UTC (History)
0 users

See Also:


Attachments
file.diff (560 bytes, patch)
2010-12-18 09:10 UTC, freebsd
no flags Details | Diff
file.diff (572 bytes, patch)
2010-12-18 09:10 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2010-12-18 09:10:10 UTC
	The rc.d startup scripts for www/apache22 and www/apache13-modssl
	contain a couple minor mistakes within the apache22_checkfib()
	and apache_checkfib() functions respectively:

	1) These functions call "sysctl" rather than /sbin/sysctl.  Under
	a shell with a decent $PATH this works fine, but under /bin/sh
	spawned from cron sysctl isn't found ($PATH lacks /sbin there).
	rc.subr(8) makes note of the SYSCTL variable which refers to
	the full path of sysctl(8).

	2) Call /usr/sbin/setfib, rather than just "setfib".

	3) Fix some extraneous tabbing on a "return 0" statement.

Fix: Apply the below patches, respectively.  I'll also follow up to
	this PR with URLs to the patches.

How-To-Repeat: 	Make a cron job which does /usr/local/etc/rc.d/apache22 restart
	and examine the output -- it will show "sysctl: command not found".

	Alternatively, run /bin/sh then set PATH to /bin:/usr/bin.
Comment 1 Edwin Groothuis freebsd_committer 2010-12-18 09:10:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 freebsd 2010-12-18 09:15:35 UTC
The patches are located here:

http://jdc.parodius.com/freebsd/153264/

Cheers!

-- 
| Jeremy Chadwick                                   jdc@parodius.com |
| Parodius Networking                       http://www.parodius.com/ |
| UNIX Systems Administrator                  Mountain View, CA, USA |
| Making life hard for others since 1977.              PGP: 4BD6C0CB |
Comment 3 Philip M. Gollucci freebsd_committer 2010-12-20 19:52:26 UTC
Responsible Changed
From-To: apache->pgollucci

I will take it.
Comment 4 Philip M. Gollucci freebsd_committer 2011-06-23 19:46:32 UTC
Responsible Changed
From-To: pgollucci->apache

Over to maintainer
Comment 5 Philip M. Gollucci freebsd_committer 2012-02-09 02:49:59 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 dfilter freebsd_committer 2012-02-09 02:50:20 UTC
pgollucci    2012-02-09 02:49:55 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile 
    www/apache22/files   apache22.in 
  Log:
  - use $SYSCTL
  - use full path setfib
  
  PR:             ports/153264
  Submitted by:   Jeremy Chadwick <freebsd@jdc.parodius.com>
  With Hat:       apache@
  Sponsored by:   Apache Software Foundation (ASF)
  
  Revision  Changes    Path
  1.298     +1 -1      ports/www/apache22/Makefile
  1.12      +4 -4      ports/www/apache22/files/apache22.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"